[IPP] [PWG5100.20] Issue #49: Requiring both HTTP Upgrade and "ipps" support?

[IPP] [PWG5100.20] Issue #49: Requiring both HTTP Upgrade and "ipps" support?

[IPP] [PWG5100.20] Issue #49: Requiring both HTTP Upgrade and "ipps" support?

Kennedy, Smith (Wireless Architect) smith.kennedy at hp.com
Fri Sep 16 19:27:37 UTC 2016


Thanks Ira! I will update that issue with your citations (and attribute them to you) and close it.

(I would LOVE to make a system that registers conformance requirements from specifications, and when one spec includes another, its normative statements would be sort of #included in, so that for a given spec we could see all the normative conformance requirements that pertain to a particular specification, without all the legwork and cross-checking.)

Smith



> On 2016-09-15, at 7:09 PM, Ira McDonald <blueroofmusic at gmail.com> wrote:
> 
> Hi Smith,
> 
> I disagree.  
> 
> PWG 5100.14 doesn't say you MUST support Upgrade, BUT it does say 
> the rest about advertise and support ipps URIs.  
> 
> And PWG 5100.14 also says you MUST do IPP/2.0 (PWG 5100.12), which 
> says on page 33:
> 
> 7.4 IPP over TLS Conformance Requirements
> To claim conformance to this specification, an IPP Printer or IPP Client
> that supports TLS MUST:
> 
> 1. Support the HTTP Upgrade protocol as defined in [RFC2817]; and
> 2. Support the required minimum cipher suite for interoperability defined 
> in the claimed TLS specification.
> 
> Cheers,
> - Ira
> 
> Ira McDonald (Musician / Software Architect)
> Co-Chair - TCG Trusted Mobility Solutions WG
> Chair - Linux Foundation Open Printing WG
> Secretary - IEEE-ISTO Printer Working Group
> Co-Chair - IEEE-ISTO PWG Internet Printing Protocol WG
> IETF Designated Expert - IPP & Printer MIB
> Blue Roof Music / High North Inc
> http://sites.google.com/site/blueroofmusic <http://sites.google.com/site/blueroofmusic>
> http://sites.google.com/site/highnorthinc <http://sites.google.com/site/highnorthinc>
> mailto: blueroofmusic at gmail.com <mailto:blueroofmusic at gmail.com>
> Jan-April: 579 Park Place  Saline, MI  48176  734-944-0094
> May-Dec: PO Box 221  Grand Marais, MI 49839  906-494-2434
> 
> 
> On Thu, Sep 15, 2016 at 4:29 PM, <smith.kennedy at hp.com <mailto:smith.kennedy at hp.com>> wrote:
> [Issue Unconfirmed]
> 
> In PWG 5100.20, page 16, it says this:
> 
> Printers that report support for TLS MUST also support HTTP Upgrade to TLS,
> correctly advertise themselves using the "_ipps._tcp,_print" sub-type, and
> support using an "ipps" URI.
> 
> This is not a conformance requirement from 5100.14, however. So B-5.1
> really ought to be removed or at least be made into a SHOULD rather than a
> MUST.
> 
> Link: http://www.pwg.org/issues/49 <http://www.pwg.org/issues/49>
> 
> _______________________________________________
> ipp mailing list
> ipp at pwg.org <mailto:ipp at pwg.org>
> https://www.pwg.org/mailman/listinfo/ipp <https://www.pwg.org/mailman/listinfo/ipp>
> 
> _______________________________________________
> ipp mailing list
> ipp at pwg.org
> https://www.pwg.org/mailman/listinfo/ipp

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.pwg.org/pipermail/ipp/attachments/20160916/a11541d9/attachment.html>
-------------- next part --------------
A non-text attachment was scrubbed...
Name: smime.p7s
Type: application/pkcs7-signature
Size: 4956 bytes
Desc: not available
URL: <http://www.pwg.org/pipermail/ipp/attachments/20160916/a11541d9/attachment.p7s>


More information about the ipp mailing list